SRU: backport jaxws/jaxb/jaxe/jaxrs to 18.04, split out in OpenJDK 11

Bug #1784196 reported by Matthias Klose on 2018-07-29
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gmbal (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gmbal-commons (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
gmbal-pfl (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
istack-commons (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxb (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxb-api (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxe (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxrpc-api (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxrs-api (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxws (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jaxws-api (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
jws-api (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libstax2-api-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libwoodstox-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
maven-dependency-plugin (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
metro-policy (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
mimepull (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
saaj (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
saaj-ri (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
stax-ex (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

Backport jaxws to 18.04 LTS, split out in OpenJDK 11, needed to replace functionality when updating the OpenJDK version from 10 to 11 in 18.04 LTS.

Related to the OpenJDK 11 SRU: https://bugs.launchpad.net/ubuntu/+source/openjdk-lts/+bug/1814133

NOTE TO SRU MEMBERS: The packages are to be released into bionic-security ONLY. This will be done/decided by the security team.
For more information about the SRU, please consult the OpenJDK 11 tracking bug above.

Matthias Klose (doko) on 2019-02-20
summary: - SRU: backport jaxws to 18.04, split out in OpenJDK 11
+ SRU: backport jaxws/jaxb/jaxe/jaxrs to 18.04, split out in OpenJDK 11
no longer affects: libhibernate-validator-java (Ubuntu)
no longer affects: jasperreports (Ubuntu)
no longer affects: maven-jaxb2-plugin (Ubuntu)

Hello Matthias, or anyone else affected,

Accepted saaj into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/saaj/1.4.0-3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

description: updated
Changed in saaj (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted istack-commons into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/istack-commons/3.0.6-3~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in istack-commons (Ubuntu Bionic):
status: New → Fix Committed
Changed in jaxb (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxb into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxb/2.3.0.1-7~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jaxb-api (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxb-api into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxb-api/2.3.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jaxe (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxe into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxe/3.5-11~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jaxrs-api (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxrs-api into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxrs-api/2.1.2-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libstax2-api-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libstax2-api-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libstax2-api-java/4.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libwoodstox-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libwoodstox-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libwoodstox-java/1:5.1.0-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-dependency-plugin (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-dependency-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-dependency-plugin/3.1.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted stax-ex into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/stax-ex/1.7.8-3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in stax-ex (Ubuntu Bionic):
status: New → Fix Committed
Changed in gmbal (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gmbal into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gmbal/4.0.0-b002-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gmbal-commons (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gmbal-commons into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gmbal-commons/3.2.1-b003-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gmbal-pfl (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gmbal-pfl into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gmbal-pfl/4.0.1-b003-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jaxrpc-api (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxrpc-api into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxrpc-api/1.1.2-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jaxws (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxws into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxws/2.3.0.2-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jaxws-api (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jaxws-api into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jaxws-api/2.3.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jws-api (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jws-api into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jws-api/1.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in metro-policy (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted metro-policy into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/metro-policy/2.7.2-3~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mimepull (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted mimepull into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mimepull/1.9.7-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in saaj-ri (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted saaj-ri into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/saaj-ri/1.4.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: libspring-java (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gmbal-pfl - 4.0.1-b003-2~18.04

---------------
gmbal-pfl (4.0.1-b003-2~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:19:59 +0100

Changed in gmbal-pfl (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package istack-commons - 3.0.6-3~18.04

---------------
istack-commons (3.0.6-3~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:31:21 +0100

Changed in istack-commons (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxb - 2.3.0.1-7~18.04

---------------
jaxb (2.3.0.1-7~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:02:29 +0100

Changed in jaxb (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxb-api - 2.3.1-1~18.04

---------------
jaxb-api (2.3.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 15:20:48 +0100

Changed in jaxb-api (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxe - 3.5-11~18.04

---------------
jaxe (3.5-11~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:10:42 +0100

Changed in jaxe (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metro-policy - 2.7.2-3~18.04

---------------
metro-policy (2.7.2-3~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:22:39 +0100

Changed in metro-policy (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package saaj - 1.4.0-3~18.04.1

---------------
saaj (1.4.0-3~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Provide Java EE modules and APIs removed from OpenJDK 11. (LP: #1784196)

saaj (1.4.0-3) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912352)
  * Standards-Version updated to 4.2.1

saaj (1.4.0-2) unstable; urgency=medium

  * Fixed the OSGi metadata
  * Fixed a build failure with Java 10
  * Standards-Version updated to 4.1.5
  * Use salsa.debian.org Vcs-* URLs

saaj (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #894405)

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 08:58:23 +0000

Changed in saaj (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package stax-ex - 1.7.8-3~18.04.1

---------------
stax-ex (1.7.8-3~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Provide Java EE modules and APIs removed from OpenJDK 11. (LP: #1784196)

stax-ex (1.7.8-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 11 (Closes: #912351)
  * Standards-Version updated to 4.2.1

stax-ex (1.7.8-2) unstable; urgency=medium

  * Team upload.
  * Removed the stax-api dependency from the installed pom
  * Added a dependency on libactivation-java
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 15:49:15 +0000

Changed in stax-ex (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gmbal - 4.0.0-b002-1~18.04

---------------
gmbal (4.0.0-b002-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:16:54 +0100

Changed in gmbal (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gmbal-commons - 3.2.1-b003-1~18.04

---------------
gmbal-commons (3.2.1-b003-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:18:53 +0100

Changed in gmbal-commons (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxrs-api - 2.1.2-2~18.04

---------------
jaxrs-api (2.1.2-2~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 15:40:10 +0100

Changed in jaxrs-api (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxws-api - 2.3.0-1~18.04

---------------
jaxws-api (2.3.0-1~18.04) bionic; urgency=medium

  * Backport jaxws and dependencies to 18.04 LTS. LP: #1784196.

 -- Matthias Klose <email address hidden> Sun, 29 Jul 2018 03:32:18 +0000

Changed in jaxws-api (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jws-api - 1.1-1~18.04

---------------
jws-api (1.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 15:53:31 +0100

Changed in jws-api (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libstax2-api-java - 4.1-1~18.04

---------------
libstax2-api-java (4.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:28:17 +0100

Changed in libstax2-api-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libwoodstox-java - 1:5.1.0-2~18.04

---------------
libwoodstox-java (1:5.1.0-2~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:26:16 +0100

Changed in libwoodstox-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxws - 2.3.0.2-1~18.04.1

---------------
jaxws (2.3.0.2-1~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Provide Java EE modules and APIs removed from OpenJDK 11. (LP: #1784196)

jaxws (2.3.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #905362)

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 15:32:43 +0000

Changed in jaxws (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-dependency-plugin - 3.1.1-1~18.04

---------------
maven-dependency-plugin (3.1.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10, needed as a build dependency.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 15:59:12 +0100

Changed in maven-dependency-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mimepull - 1.9.7-1~18.04

---------------
mimepull (1.9.7-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 15:56:44 +0100

Changed in mimepull (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package saaj-ri - 1.4.1-1~18.04

---------------
saaj-ri (1.4.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:00:56 +0100

Changed in saaj-ri (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gmbal-pfl - 4.0.1-b003-2~18.04

---------------
gmbal-pfl (4.0.1-b003-2~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:19:59 +0100

Changed in gmbal-pfl (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package istack-commons - 3.0.6-3~18.04

---------------
istack-commons (3.0.6-3~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:31:21 +0100

Changed in istack-commons (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxb-api - 2.3.1-1~18.04

---------------
jaxb-api (2.3.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 15:20:48 +0100

Changed in jaxb-api (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxrpc-api - 1.1.2-2~18.04

---------------
jaxrpc-api (1.1.2-2~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

jaxrpc-api (1.1.2-2) unstable; urgency=medium

  * Fixed the name of the jar installed in /usr/share/java/
  * Standards-Version updated to 4.2.1

jaxrpc-api (1.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #905560)

 -- Matthias Klose <email address hidden> Mon, 25 Feb 2019 15:40:55 +0100

Changed in jaxrpc-api (Ubuntu):
status: New → Fix Released
Changed in jaxrpc-api (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metro-policy - 2.7.2-3~18.04

---------------
metro-policy (2.7.2-3~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:22:39 +0100

Changed in metro-policy (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package saaj - 1.4.0-3~18.04.1

---------------
saaj (1.4.0-3~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Provide Java EE modules and APIs removed from OpenJDK 11. (LP: #1784196)

saaj (1.4.0-3) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912352)
  * Standards-Version updated to 4.2.1

saaj (1.4.0-2) unstable; urgency=medium

  * Fixed the OSGi metadata
  * Fixed a build failure with Java 10
  * Standards-Version updated to 4.1.5
  * Use salsa.debian.org Vcs-* URLs

saaj (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #894405)

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 08:58:23 +0000

Changed in saaj (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package stax-ex - 1.7.8-3~18.04.1

---------------
stax-ex (1.7.8-3~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Provide Java EE modules and APIs removed from OpenJDK 11. (LP: #1784196)

stax-ex (1.7.8-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 11 (Closes: #912351)
  * Standards-Version updated to 4.2.1

stax-ex (1.7.8-2) unstable; urgency=medium

  * Team upload.
  * Removed the stax-api dependency from the installed pom
  * Added a dependency on libactivation-java
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 15:49:15 +0000

Changed in stax-ex (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxb - 2.3.0.1-7~18.04

---------------
jaxb (2.3.0.1-7~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:02:29 +0100

Changed in jaxb (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxe - 3.5-11~18.04

---------------
jaxe (3.5-11~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 19.04.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 16:10:42 +0100

Changed in jaxe (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jaxws - 2.3.0.2-1~18.04.1

---------------
jaxws (2.3.0.2-1~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Provide Java EE modules and APIs removed from OpenJDK 11. (LP: #1784196)

jaxws (2.3.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #905362)

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 15:32:43 +0000

Changed in jaxws (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers